OpenTTD Source: FallbackParagraphLayout::FallbackLine Class Reference

OpenTTD Source 15.3

Public Member Functions
FallbackParagraphLayout::FallbackLine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for FallbackParagraphLayout::FallbackLine:

## Public Member Functions
int | GetLeading () const override
| Get the height of the line.
int | GetWidth () const override
| Get the width of this line.
int | CountRuns () const override
| Get the number of runs in this line.
const ParagraphLayouter::VisualRun & | GetVisualRun (int run) const override
| Get a specific visual run.
int | GetInternalCharLength (char32_t) const override

## Detailed Description

A single line worth of VisualRuns.

Definition at line 59 of file gfx_layout_fallback.cpp.

## Member Function Documentation

## ◆ CountRuns()

int FallbackParagraphLayout::FallbackLine::CountRuns | ( |  | ) | const
| overridevirtual

Get the number of runs in this line.

Returns
  The number of runs.

Implements ParagraphLayouter::Line.

Definition at line 174 of file gfx_layout_fallback.cpp.

## ◆ GetInternalCharLength()

int FallbackParagraphLayout::FallbackLine::GetInternalCharLength | ( | char32_t |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 66 of file gfx_layout_fallback.cpp.

## ◆ GetLeading()

int FallbackParagraphLayout::FallbackLine::GetLeading | ( |  | ) | const
| overridevirtual

Get the height of the line.

Returns
  The maximum height of the line.

Implements ParagraphLayouter::Line.

Definition at line 141 of file gfx_layout_fallback.cpp.

## ◆ GetVisualRun()

const ParagraphLayouter::VisualRun & FallbackParagraphLayout::FallbackLine::GetVisualRun | ( | int | run | ) | const
| overridevirtual

Get a specific visual run.

Returns
  The visual run.

Implements ParagraphLayouter::Line.

Definition at line 183 of file gfx_layout_fallback.cpp.

## ◆ GetWidth()

int FallbackParagraphLayout::FallbackLine::GetWidth | ( |  | ) | const
| overridevirtual

Get the width of this line.

Returns
  The width of the line.

Implements ParagraphLayouter::Line.

Definition at line 155 of file gfx_layout_fallback.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout_fallback.cpp